/**** xfilter.hlp.t ****/

/*
This file contains the text for `xfilter's help screens.
*/

	static int xfilter_help_rows = 18;
	static int xfilter_help_columns = 70;

	static char *xfilter_help_data[] = {
"Help (General):\n\
\n\
`xfilter' is a simple application for filtering data through\n\
UNIX commands such as tr(1), spell(1), etc.  `xfilter' has no\n\
command-line options; it is started as follows:\n\
\n\
{your prompt} xfilter\n\
\n\
`xfilter' simply maps the selectable input and output locations\n\
to UNIX's standard input and output for a UNIX filter command.\n\
\n\
The input/output panel contains option menus for setting the\n\
data source and the location for the output from the filter.\n\
For example, the default input is \"Primary selection\" and the\n\
default output is \"Text window\".  Thus, if you select text from\n\
a window any where on the screen and then press \"Filter\" in the\n\
filter panel, the selected text will simply be taken from the\n\
primary selection and written to the top-level text window.  That\n\
is, if no filter has been specified, the filter operation defaults\n\
to a simple copy operation.\n\
\n\
Spell-checking is an example of a more useful operation.  For\n\
example, if you (1) specify \"spell\" as the filter in the single-\n\
line text window to the right of \"Filter:\", (2) select text in a\n\
window, and (3) press \"Filter\", questionable spellings, as\n\
reported by spell(1), will be displayed in the main text window.\n\
\n\
The source and target can also be files; see the help information\n\
on files.\n\
\n\
Note:  Various UNIX filters are inconsistent with respect to\n\
whether or not they will accept incomplete lines, e.g., a single\n\
word, or several lines, plus part of another line.\n\
",


"Help (Files):\n\
\n\
You can use `xfilter' as a facility for \"X repository-to-UNIX file\"\n\
data transfer, and vice versa.  For example, to save the primary\n\
selection to a file (without passing it through a filter), you would\n\
(1) select the text, (2) set the filename, and (3) press \"Filter\"\n\
(after making sure that the \"Filter:\" text window is empty).\n\
\n\
Since the source and targets can both be files, you can, AT LEAST IN\n\
PRINCIPLE, use `xfilter' as a substitute for cp(1) or a similar\n\
operation in a file manager.  This is an inefficient approach,\n\
however, because with `xfilter' all data transfer is accomplished\n\
via computer memory.  Thus, file-to-file data transfer should be\n\
done with a more appropriate utility/command.\n\
\n\
NOTICE:  The X selection and property mechanism is not intended for\n\
copying large bodies of text--some X servers (and Motif clients\n\
including this one) may crash if you select a huge amount of text.\n\
",


"Help (Info):\n\
\n\
`xfilter' is a copyrighted, freeware software product of:\n\
\n\
Iris Computing Laboratories\n\
The Spectro Group, Inc.\n\
1219 Luisa Street\n\
Suite 9\n\
Santa Fe, New Mexico 87501  USA\n\
\n\
Phone:  +1-505-988-2670  (USA, Mountain Time Zone)\n\
Fax:    +1-505-988-2489\n\
Email:  support@spectro.com\n\
\n\
\"Copyrighted freeware\" means that you are free to use it\n\
and pass it on to others, but you shouldn't sell it, etc.\n\
\n\
We welcome your comments and suggestions for `xfilter' at the\n\
above addresses and phone numbers.\n\
",
};
